- @content_class = "limit-container-width" unless fluid_layout
- page_title _("Operations Settings")
- page_title _("Operations")

- has_jaeger_url = @project.tracing_external_url.present?

%section
  %h4
    = _("Jaeger tracing")
  %p
    - tracing_url = has_jaeger_url ? @project.tracing_external_url : project_tracing_path(@project)
    - meta = has_jaeger_url ? 'rel="noopener noreferrer" target="_blank"' : ''
    - icon = has_jaeger_url ? sprite_icon('external-link', size: 16, css_class: 'ml-1 vertical-align-middle') : ''
    - tracing_start_tag = "<a href='#{tracing_url}' #{meta}>".html_safe
    - tracing_end_tag = "#{icon}</a>".html_safe
    = _("To open Jaeger and easily view tracing from GitLab, link the %{start_tag}Tracing%{end_tag} page to your server").html_safe % { start_tag: tracing_start_tag, end_tag: tracing_end_tag }
  = form_for @tracing_settings, as: :tracing_settings, url: project_settings_operations_path(@project) do |f|
    = form_errors(@tracing_settings)
    .form-group
      = f.label :external_url, _('Jaeger URL'), class: 'label-bold'
      = f.url_field :external_url, class: 'form-control', placeholder: 'e.g. https://jaeger.mycompany.com'
      %p.form-text.text-muted
        - jaeger_help_url = "https://www.jaegertracing.io/docs/1.7/getting-started/"
        - link_start_tag = '<a href="%{url}" target="_blank" rel="noopener noreferrer">'.html_safe % { url: jaeger_help_url }
        - link_end_tag = "#{sprite_icon('external-link', size: 16, css_class: 'ml-1 vertical-align-middle')}</a>".html_safe
        = _("For more information, please review %{link_start_tag}Jaeger's configuration doc%{link_end_tag}").html_safe % { link_start_tag: link_start_tag, link_end_tag: link_end_tag }

    = f.submit _('Save changes'), class: 'btn btn-success'
